Package org.opensaml.saml.common.messaging.context.navigate

# Class EntityDescriptorLookupFunction

java.lang.Object
org.opensaml.saml.common.messaging.context.navigate.EntityDescriptorLookupFunction

All Implemented Interfaces:
  `Function<SAMLMetadataContext,EntityDescriptor>`, `ContextDataLookupFunction<SAMLMetadataContext,EntityDescriptor>`

public class EntityDescriptorLookupFunction extends Object implements ContextDataLookupFunction<SAMLMetadataContext,EntityDescriptor>
`ContextDataLookupFunction` to return the `EntityDescriptor` from a `SAMLMetadataContext`.

## Constructor Summary

Constructors
Constructor
Description
`EntityDescriptorLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`EntityDescriptor`
`apply(SAMLMetadataContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### EntityDescriptorLookupFunction

public EntityDescriptorLookupFunction()

## Method Details

### apply

@Nullable public EntityDescriptor apply(@Nullable SAMLMetadataContext input)

Specified by:
  `apply` in interface `Function<SAMLMetadataContext,EntityDescriptor>`